Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.stylesheet
Class CssStyleSheetException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              echopointng.stylesheet.CssStyleSheetException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CssInvalidValueException

    public class CssStyleSheetException

extends java.lang.Exception

A `CssStyleSheetException` is thrown if the Css StyleSheet data cannot be read or parsed properly.

If another exception is the cause of this exception, for example an IOException during parsing, then it can be contained with the getCauseException() method.

See Also:
  Serialized Form

Constructor Summary
`CssStyleSheetException(java.lang.String s, java.lang.Throwable causeException, int lineNo)` StyleSheetException constructor

Method Summary
`java.lang.Throwable` | `getCauseException()` Returns the base cause exception of the StyleSheetException or null.
`int` | `getLineNo()` The line number at which the exception occurred or -1.
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CssStyleSheetException

    public CssStyleSheetException(java.lang.String s,
                                  java.lang.Throwable causeException,
                                  int lineNo)

  StyleSheetException constructor

Method Detail

### getCauseException

    public java.lang.Throwable getCauseException()

  Returns the base cause exception of the StyleSheetException or null.

### getLineNo

    public int getLineNo()

  The line number at which the exception occurred or -1.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD